<template>
  <vs-dropdown vs-trigger-click class="cursor-pointer">
    <feather-icon
      svgClasses="text-white m-2"
      class="rounded-full cursor-pointer"
      style="background-color: rgba(0, 0, 0, 0.1)"
      icon="MoreHorizontalIcon"
    />
    <vs-dropdown-menu class="w-32">
      <vs-dropdown-item @click="$emit('onClickEdit', selectedHabit)">
        Chỉnh sửa
      </vs-dropdown-item>
      <vs-dropdown-item @click="$emit('onClickDelete', selectedHabit)">
        Xóa
      </vs-dropdown-item>
    </vs-dropdown-menu>
  </vs-dropdown>
</template>

<script>
export default {
  name: "habit-action-dropdown",
  props: {
    selectedHabit: { type: Object, default: () => ({}) }
  }
};
</script>
